## python-pynetgear 0.10.10

=== requirements.txt ===
requests>=2.0

=== debian/changelog ===
python-pynetgear (0.10.10-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No change source-only upload for testing migration.

 -- Boyuan Yang <byang@debian.org>  Sat, 23 Nov 2024 08:15:30 -0500

python-pynetgear (0.10.10-1) unstable; urgency=medium

  * Initial release. (Closes: #1084186)

 -- Thomas Goirand <zigo@debian.org>  Sun, 06 Oct 2024 13:12:49 +0200

=== debian/control ===
Source: python-pynetgear
Section: python
Priority: optional
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-requests,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-pynetgear
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-pynetgear.git
Homepage: http://github.com/MatMaul/pynetgear

Package: python3-pynetgear
Architecture: all
Depends:
 python3-requests,
 ${misc:Depends},
 ${python3:Depends},
Description: Access Netgear routers using their SOAP API
 This package provides an easy to use Python API to control Netgear routers.
 It uses the SOAP-api on modern Netgear routers to communicate. It is built by
 reverse engineering the requests made by the NETGEAR Genie app.
 .
 This package is a dependency of Home Assistant.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := http://github.com/MatMaul/pynetgear.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_test:
	echo "no test that can be run in this package"

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" http://github.com/MatMaul/pynetgear refs/tags/(\d[brc\d\.]+)
